Measure logo
REST API ReferenceDashboard APINetwork Requests

Fetch an app's overview network request timeline plot

GET/apps/{id}/networkRequests/plots/overviewTimeline

Fetch an app's overview network request timeline plot showing request frequency per endpoint across all endpoints.

Both versions & version_codes should be present if any one of them is present. from & to will default to a last 24 hours time range if not supplied. Results are limited to the top timeline_limit most-requested endpoints (default 10, max 50). interval is the time bucket size in seconds. elapsed represents seconds of elapsed time within sessions. count is the average request count per session for that endpoint in that bucket.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Query Parameters

from?string

ISO8601 timestamp to include events after this time.

to?string

ISO8601 timestamp to include events before this time.

versions?string

List of comma separated version identifier strings.

version_codes?string

List of comma separated version code identifier strings.

os_versions?string

List of comma separated OS version identifier strings.

device_manufacturers?string

List of comma separated device manufacturer identifier strings.

network_providers?string

List of comma separated network provider identifier strings.

network_types?string

List of comma separated network type identifier strings.

network_generations?string

List of comma separated network generation identifier strings.

locales?string

List of comma separated locale identifier strings.

http_methods?string

List of comma separated HTTP method strings.

timeline_limit?integer

Maximum number of top endpoints to include. Defaults to 10, max 50.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/networkRequests/plots/overviewTimeline"
{  "interval": 5,  "points": [    {      "elapsed": 0,      "domain": "api.example.com",      "path_pattern": "/api/users",      "count": 125.5    },    {      "elapsed": 5,      "domain": "api.example.com",      "path_pattern": "/api/users",      "count": 128.3    },    {      "elapsed": 0,      "domain": "cdn.example.com",      "path_pattern": "/images/avatar.png",      "count": 45.2    }  ]}
Empty
Empty
Empty
Empty
Empty

Think this page can be better?

Open an issue